# Matrix setup for Model M 122 using Colossus v1.0 Universal M Controller

led caps -PB3
led scroll -PB2
led num -PB4

matrix
	scanrate 1
	debounce 5
	blocking 0

	sense			PA0		PA1		PA2		PA3		PA4		PA5		PA6		PA7		PC7		PC6			PC5		PC4		PC3		PC2		PC1		PC0		PE1		PE0		PD7		PD5
	strobe	PB5		LALT		SPACE		RCTRL		LSHIFT		EUROPE_2	UNASSIGNED	UNASSIGNED	B		N		SCROLL_LOCK		PAUSE		F12		UNASSIGNED	UNASSIGNED	SLASH		UNASSIGNED	UNASSIGNED	PAD_0		PAD_PERIOD	PAD_ENTER
	strobe	PB6		LEFT		PAD_1		CAPS_LOCK	RSHIFT		Z		X		C		V		M		PRINTSCREEN		F10		F11		COMMA		PERIOD		BACKSLASH	ENTER		UNASSIGNED	PAD_2		PAD_3		UNASSIGNED
	strobe	PB7		UNASSIGNED	EXTRA_F5	EXTRA_F6	UNASSIGNED	UNASSIGNED	UNASSIGNED	UNASSIGNED	T		Y		F20			F21		F9		RIGHT_BRACE	UNASSIGNED	LEFT_BRACE	BACKSLASH	END		UNASSIGNED	UNASSIGNED	UNASSIGNED
	strobe	PE4		PAD_PLUS	EXTRA_F4	TAB		UNASSIGNED	Q		W		E		R		U		F19			F7		F8		I		O		P		PAD_7		PAGE_DOWN	PAD_8		PAD_9		UNASSIGNED
	strobe	PE5		UNASSIGNED	ESC		EXTRA_F2	UNASSIGNED	BACK_QUOTE	UNASSIGNED	UNASSIGNED	5		6		F17			F18		F6		EQUAL		UNASSIGNED	MINUS		BACKSPACE	INSERT		HOME		UNASSIGNED	UNASSIGNED
	strobe	PD0		PAD_MINUS	EXTRA_F3	UNASSIGNED	UNASSIGNED	1		2		3		4		7		F16			F4		F5		8		9		0		NUM_LOCK	PAGE_UP		PAD_SLASH	PAD_ASTERIX	UNASSIGNED
	strobe	PD1		UNASSIGNED	EXTRA_F7	EXTRA_F8	UNASSIGNED	A		S		D		F		J		F14			F15		F3		K		L		SEMICOLON	PAD_4		DELETE		PAD_5		PAD_6		RIGHT
	strobe	PD4		LCTRL		EXTRA_F9	EXTRA_F10	RALT		UNASSIGNED	UNASSIGNED	UNASSIGNED	G		H		F13			F1		F2		UNASSIGNED	UNASSIGNED	QUOTE		UNASSIGNED	UP		UNASSIGNED	UNASSIGNED	DOWN
end
